Subject: bug#36069: Menu-based installer unusable through noVNC

From: Robert Vollmert <[email-masked]>
Date: Tue, 25 Jun 2019 16:09:48 +0200

Hi,

> On 25. Jun 2019, at 15:59, Ludovic Courtès <[email-masked]> wrote:
> 
> Hi,
> 
> Björn Höfling <[email-masked]> skribis:
> 
>> On Mon, 3 Jun 2019 11:35:17 +0200
>> Robert Vollmert <[email-masked]> wrote:
>> 
>>> There seems to be some conflict between the “graphical” installer’s
>>> idea of the console size and VNC’s (which appears to be noVNC
>>> https://novnc.com/info.html). As you can see in the attached
>>> screenshot, the screen is cropped on all sides, particularly making
>>> the menu choices unviewable.
>> 
>> Today I installed Guix on a Server which uses Guacamole as a web-based
>> VNC-client according to the HTML code, see 
>> https://guacamole.apache.org/
>> 
>> I also had the problem that the screen of the installer was too small,
>> I'm attaching two screenshots: Of the normal GRUB startup and the
>> unreadable installer. 
> 
> I think Robert concluded that the bug was in noVNC.

Rather, I couldn’t prove the bug was anywhere else.

> What we’d need is either something to fix on our side (but there’s
> apparently nothing), or something to report to noVNC, or a workaround we
> could have on our side specifically for this use case.

It seems noVNC isn’t involved here, though, with the only clearly common
factor being Guix, so maybe the bug is there after all? (At least, as
far as I can tell, Guacamole does not involve noVNC.)

Robert